Name:	 libvisual
Version: 0.4.0
Release: 26
Epoch:   1
Summary: Audio Visualization Library

License: LGPLv2+
URL:	 http://libvisual.org/
Source0: http://dl.sf.net/libvisual/%{name}-%{version}.tar.gz

Patch0:  libvisual-0.4.0-better-altivec-detection.patch
Patch1:  libvisual-0.4.0-inlinedefineconflict.patch
Patch2:	 libvisual-0.4.0-format-security.patch

BuildRequires: libtool gettext gcc-c++ xorg-x11-proto-devel doxygen

%description
Libvisual is a library that acts as a middle layer between applications
that want audio visualization, and audio visualization plugins. It is
middleware aimed at providing a common interface between application
developers with a need for audio visualization and developers who write
visualizations.

%package devel
Summary:  Development files for libvisual
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
Libvisual is a library that acts as a middle layer between applications
that want audio visualization, and audio visualization plugins.
This package provides the necessary development libraries and include
files to allow you to develop applications and plugins using the libvisual
libraries.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
make %{?_smp_mflags}
# doc file
#doxygen

%install
%make_install

%find_lang %{name}-0.4

%ldconfig_scriptlets

%files -f %{name}-0.4.lang
#%doc doc/html/*
%doc ABOUT-NLS AUTHORS ChangeLog INSTALL NEWS README TODO
%license COPYING
%{_libdir}/libvisual*.so.*

%files devel
%{_includedir}/%{name}-0.4
%{_libdir}/libvisual*.so
%exclude %{_libdir}/libvisual*.*a
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.4.0-26
- Package init
